Bug 218859 - Exchange URL:PORT ignores PORT during usage [NEEDINFO]
Exchange URL:PORT ignores PORT during usage
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: evolution-connector (Show other bugs)
9
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Matthew Barnes
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-07 16:18 EST by Bill Phipps
Modified: 2009-07-14 13:10 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 13:10:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mbarnes: needinfo? (phipps)


Attachments (Terms of Use)

  None (edit)
Description Bill Phipps 2006-12-07 16:18:11 EST
Description of problem:
The URL of the Exchange server correctly uses the port number from the URL when
clicking "Authenticate" during the setup, but not during actual usage.

Version-Release number of selected component (if applicable):
Evolution 2.8.2.1 from these RPMS:
# rpm -qa |grep evolution
evolution-sharp-0.11.1-10.fc6
evolution-data-server-devel-1.8.2-1.fc6
evolution-2.8.0-7.fc6
evolution-data-server-1.8.2-1.fc6
evolution-data-server-1.8.0-11.fc6
beagle-evolution-0.2.10-7.fc6
evolution-connector-2.8.2-2.fc6
evolution-webcal-2.7.1-6
evolution-2.8.2.1-2.fc6


How reproducible:
Easy

Steps to Reproduce:
1. Setup Exchange server to listen on https requests on an odd port like 456.
2. Create a new Exchange account within Evolution using a URL like:
https://owa.server.local:456/exchange
3. The authenticate test will work fine. Complete the setup.

  
Actual results:
1. Try to browse any folder.  You'll get an error and prompt for password.
2. tcpdump shows that requests are being sent to the Exchange server on port
443, the default for an HTTPS connection.

Expected results:
1. It should work!  :)
2. This was not broken in Evolution 2.0.4 in FC3.

Additional info:
I added a workaround with:
iptables -t nat -A OUTPUT -j DNAT -d owa.server.local -p tcp --dport 443
--to-destination owa.server.local:456
Now everything works great!  :)
Comment 1 Matthew Barnes 2007-10-02 14:11:39 EDT
Is this problem still present on Fedora 8 Test 2 or later?
Comment 2 Bill Phipps 2007-10-03 09:13:59 EDT
Yes.  I am now running rawhide and I have to keep the same iptables port forward
in to make it work.  I did not, however, recreate the exchange account when I
upgraded which I will try and report back.  Is there anything I can send that
would help in correcting this error?  I'm willing to hop into the source,
although I haven't seen any of the source to Evolution and would probably need a
while to get up to speed.  Thanks. :)
Comment 3 Matthew Barnes 2007-10-03 09:52:09 EDT
Thanks for responding.
Comment 4 Bug Zapper 2009-06-09 18:22:04 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Matthew Barnes 2009-06-21 09:13:37 EDT
Is this bug still present on Fedora 11 or later?
Comment 6 Bug Zapper 2009-07-14 13:10:35 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.